package com.persagy.bdtp.adm.entity;

import com.persagy.dmp.define.entity.ObjectTypeDefine;

import java.util.LinkedList;
import java.util.List;

/**
 * 类型定义，封装children操作，支持树形结构
 */
public class TypeDef extends ObjectTypeDefine {

	private List<TypeDef> children;

	public void addChild(TypeDef child){
		if(children == null)
			children = new LinkedList<>();
		children.add(child);
	}

	public List<? extends TypeDef> getChildren() {
		return children;
	}

}
